Subject: Re: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 13:13:59 +0300

> Date: Thu, 22 Jun 2023 09:11:38 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > Thanks, but shouldn't this be optional behavior, which users should be
> > able to control?  Standard C disallows '$' in identifiers AFAIK, and
> > some users might wish to follow the Standard.
> 
> The thing is, such an option would be difficult to implement.  At the
> moment, c-symbol-start and c-symbol-key (regular expressions which match
> the start of an identifier and all of one) are calculated in cc-langs.el
> at compilation time.  They are widely used (~40 times) in the indentation
> engine and fontification.
> 
> It would be necessary to change these constants to variables, probably
> doubling the number of relevant c-lang-const's in cc-langs.el, and to add
> a mechanism to toggle between them at run time.
> 
> I don't feel that the benefit from this new option would really be worth
> the work it would take to implement.

I do feel it's worth the effort.  If we value correct fontification,
of course.  I don't know what my opinions on this mean for you, but
there you have it.  I cannot force you make this change, of course, I
can only try to convince.